> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get the Notes for a Contact

GET https://api.virtuoussoftware.com/api/ContactNote/ByContact/{contactId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/contacts-and-individuals/get-the-notes-for-a-contact

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `contactId` (string, required)

### Query parameters

- `sortBy` (string, optional) — The field to be sorted. Supported: Id, NoteDate, CreatedDateTime.
- `descending` (string, optional) — The direction to be sorted.
- `skip` (integer, optional) — The number of records to skip. Default = 0.
- `take` (integer, optional) — The number of records to take. Default = 10.

## Response

### 200

OK

- `list` (list of ApiContactNoteByContactContactIdGetResponsesContentApplicationJsonSchemaListItems, optional)
- `total` (string, optional)

## Types

### ApiContactNoteByContactContactIdGetResponsesContentApplicationJsonSchemaListItems

- `id` (string, optional)
- `contactId` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `noteDate` (string, optional)
- `type` (string, optional)
- `note` (string, optional)
- `important` (string, optional)
- `isPrivate` (string, optional)
- `createdByAvatarUrl` (string, optional)
- `reminder` (ApiContactNoteByContactContactIdGetResponsesContentApplicationJsonSchemaListItemsReminder, optional)

### ApiContactNoteByContactContactIdGetResponsesContentApplicationJsonSchemaListItemsReminder

- `id` (string, optional)
- `message` (string, optional)
- `targetDate` (string, optional)
- `targetResolutionDateUtc` (string, optional)
- `contactId` (string, optional)
- `contactViewUrl` (string, optional)
- `contactDisplayName` (string, optional)
- `contactAvatarUrl` (string, optional)
- `reminderType` (string, optional)
- `reminderTypeDisplayName` (string, optional)
- `taskStatus` (string, optional)
- `taskStatusDisplayName` (string, optional)
- `completeUrl` (string, optional)
- `dismissUrl` (string, optional)
- `description` (string, optional)
- `hasContact` (string, optional)
- `isPastDue` (string, optional)
- `isUnresolved` (string, optional)
- `canComplete` (string, optional)
- `completeActionName` (string, optional)
- `canCompleteWithNote` (string, optional)
- `owner` (string, optional)
- `ownerAvatarUrl` (string, optional)

## Examples

**Response**

```json
{
  "list": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "noteDate": "<string>",
      "type": "<string>",
      "note": "<string>",
      "important": "<boolean>",
      "isPrivate": "<boolean>",
      "createdByAvatarUrl": "<string>",
      "reminder": {
        "id": "<integer>",
        "message": "<string>",
        "targetDate": "<string>",
        "targetResolutionDateUtc": "<dateTime>",
        "contactId": "<integer>",
        "contactViewUrl": "<string>",
        "contactDisplayName": "<string>",
        "contactAvatarUrl": "<string>",
        "reminderType": "<string>",
        "reminderTypeDisplayName": "<string>",
        "taskStatus": "<string>",
        "taskStatusDisplayName": "<string>",
        "completeUrl": "<string>",
        "dismissUrl": "<string>",
        "description": "<string>",
        "hasContact": "<boolean>",
        "isPastDue": "<boolean>",
        "isUnresolved": "<boolean>",
        "canComplete": "<boolean>",
        "completeActionName": "<string>",
        "canCompleteWithNote": "<boolean>",
        "owner": "<string>",
        "ownerAvatarUrl": "<string>"
      }
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "noteDate": "<string>",
      "type": "<string>",
      "note": "<string>",
      "important": "<boolean>",
      "isPrivate": "<boolean>",
      "createdByAvatarUrl": "<string>",
      "reminder": {
        "id": "<integer>",
        "message": "<string>",
        "targetDate": "<string>",
        "targetResolutionDateUtc": "<dateTime>",
        "contactId": "<integer>",
        "contactViewUrl": "<string>",
        "contactDisplayName": "<string>",
        "contactAvatarUrl": "<string>",
        "reminderType": "<string>",
        "reminderTypeDisplayName": "<string>",
        "taskStatus": "<string>",
        "taskStatusDisplayName": "<string>",
        "completeUrl": "<string>",
        "dismissUrl": "<string>",
        "description": "<string>",
        "hasContact": "<boolean>",
        "isPastDue": "<boolean>",
        "isUnresolved": "<boolean>",
        "canComplete": "<boolean>",
        "completeActionName": "<string>",
        "canCompleteWithNote": "<boolean>",
        "owner": "<string>",
        "ownerAvatarUrl": "<string>"
      }
    }
  ],
  "total": "<integer>"
}
```

**SDK Code**

```python Contacts and Individuals_getTheNotesForAContact_example
import requests

url = "https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId"

querystring = {"sortBy":"<string>","descending":"<boolean>","skip":"1","take":"1"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Contacts and Individuals_getTheNotesForAContact_example
const url = 'https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Contacts and Individuals_getTheNotesForAContact_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Contacts and Individuals_getTheNotesForAContact_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Contacts and Individuals_getTheNotesForAContact_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Contacts and Individuals_getTheNotesForAContact_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Contacts and Individuals_getTheNotesForAContact_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Contacts and Individuals_getTheNotesForAContact_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/ContactNote/ByContact/contactId?sortBy=%3Cstring%3E&descending=%3Cboolean%3E&skip=1&take=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```